Skip to main content
GET
List the proposals of an organization

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string
required
Pattern: ^[^/]+$

Query Parameters

page
integer
page_size
integer

Response

200 - application/json
id
string<uuid>
required
read-only
reference
string
required
read-only
title
string
required
read-only
kind
enum<string>
required
read-only
  • quote - Quote
  • agreement - Custom agreement
Available options:
quote,
agreement
amount_excl_tax
string | null
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
currency
string
required
read-only
expires_on
string<date> | null
required
read-only
status
enum<string>
required
read-only
  • draft - Draft
  • sent - Sent
  • accepted - Accepted
  • declined - Declined
  • withdrawn - Withdrawn
  • expired - Expired
Available options:
draft,
sent,
accepted,
declined,
withdrawn,
expired
sent_at
string<date-time> | null
required
read-only
viewed_at
string<date-time> | null
required
read-only
decided_at
string<date-time> | null
required
read-only
decided_by_name
string | null
required
read-only
decline_reason
string
required
read-only
pdf_size
integer
required
read-only
can_decide
boolean
required
read-only